Subject: compiling woes (httping 0.0.3 make error)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Dec 2003 23:56:48 +0100 (MET)

Hi Brian!

> > $ make install
> > gcc -ansi -O2   -c -o error.o error.c
> > error.c:1:21: ncurses.h: No such file or directory
> > make: *** [error.o] Error 1

> Well, does /usr/include/ncurses.h exist?

No, I can't find ncurses.h anywhere, although ncurses had been installed.
Entering the command:
$ find / -name ncurses*

The following is output:
/etc/setup/ncurses.lst.gz
/usr/share/doc/Cygwin/ncurses-5.3.README
/usr/share/doc/ncurses-5.3
/usr/share/doc/ncurses-5.3/ncurses-intro.html

> If not, using the setup package search facility available here
> http://cygwin.com/packages/ shows ncurses.h to be part of
> ncurses/ncurses-5.2-8.  Is that installed?
Hum, shouldn't it be part of the successor version as well?

> If you want help here, you will have to post more output.  We need to
> see why the make of parser.c returned 255.
Funny. Doubting my first attempt, I extracted the archive once again, this
time right into /tmp
(i.e. C:\cygwin\tmp).
Now, the output is different:

$ make
make -C src build
make[1]: Entering directory `/tmp/boxes-1.0.1/src'
make CFLAGS_ADDTL=-O boxes
make[2]: Entering directory `/tmp/boxes-1.0.1/src'
gcc -ansi -I. -Iregexp -Wall -W -O   -c -o parser.o parser.c
parser.y: In function `design_needed':
parser.y:389: warning: implicit declaration of function `strcasecmp'
parser.y: In function `yyparse':
parser.y:537: warning: implicit declaration of function `strdup'
parser.y:1034: warning: implicit declaration of function `strncasecmp'
gcc -ansi -I. -Iregexp -Wall -W -O   -c -o lex.yy.o lex.yy.c
lexer.l: In function `yylex':
lexer.l:172: warning: implicit declaration of function `strdup'
lexer.l: At top level:
lexer.l:1299: warning: `yy_flex_realloc' defined but not used
gcc -ansi -I. -Iregexp -Wall -W -O   -c -o boxes.o boxes.c
boxes.c: In function `is_dir':
boxes.c:328: error: `S_IFMT' undeclared (first use in this function)
boxes.c:328: error: (Each undeclared identifier is reported only once
boxes.c:328: error: for each function it appears in.)
boxes.c:328: error: `S_IFDIR' undeclared (first use in this function)
boxes.c: In function `get_config_file':
boxes.c:381: warning: implicit declaration of function `strdup'
boxes.c: In function `process_commandline':
boxes.c:653: warning: implicit declaration of function `strncasecmp'
boxes.c: In function `style_sort':
boxes.c:901: warning: implicit declaration of function `strcasecmp'
make[2]: *** [boxes.o] Error 1
make[2]: Leaving directory `/tmp/boxes-1.0.1/src'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/tmp/boxes-1.0.1/src'
make: *** [build] Error 2

As you might guess already, I haven't got the slightest clue what's going
on...

Appreciating any help,
Regards,

Michael

-- 
+++ GMX - die erste Adresse für Mail, Message, More +++
Neu: Preissenkung für MMS und FreeMMS! http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/